#include "stdio.h"
#include <string>

using namespace std;

int main (int argc, char* argv[])
{
    unsigned char    findStr[] = {0x00, 0xC1, 'W', 'L', '2'};
    string  filename;
    char    buf[12];
    if (argc > 1) {
        filename = argv[1];
    } else {
        printf("No argument (filename)\n");
        return 0;
    }
    FILE* fp = fopen(filename.c_str(), "rb");
    if (fp != NULL) {
        int rx = fread(buf, 1, 10, fp);
        if (rx >= 10) {
            if (memcmp(&buf[0], &findStr[0], sizeof(findStr)) == 0) {
                fclose(fp);
                fp = NULL;
                string filenameNew = filename;
                filenameNew[filename.size()-1] = '2';
                int renok = rename(filename.c_str(), filenameNew.c_str());
                if (renok != 0) {
                    printf("Error rename: %s\n", filename.c_str());
                } else {
                    printf("-OK-- rename: %s\n", filename.c_str());
                }
            }
        } else {
            printf("Error read: %s\n", filename.c_str());
        }
        if (fp != NULL) {
            fclose(fp);
        }
    } else {
        printf("-E- File not found: %s\n", filename.c_str());
        return 0;
    }
}
