// ============================================================================
// BoulderDaeshReader -- outputCaveBD64.h
// ----------------------------------------------------------------------------
// (c) 2022-2023 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read file dump from "BoulderDsh" (by Guido Mersmann) 
// and extract level data to -> ".gamebd" file
// generate "levelinfo.conf" with some extra info
// ============================================================================

#ifndef OUTPUT_CAVEBD64_H
#define OUTPUT_CAVEBD64_H

#include <string>

//---------------------------------------------------------------------------
// convert GAMEBD to displayable char -> (BD64)
//---------------------------------------------------------------------------
std::string convertBD64(int x, int y, int ch, bool &elFound);

#endif
