// ============================================================================
// BoulderDaeshReader -- readLevelGAMEBD.h
// ----------------------------------------------------------------------------
// (c) 2022-2023 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read file dump from "BoulderDsh" (by Guido Mersmann) 
// and extract level data to -> ".gamebd" file
// generate "levelinfo.conf" with some extra info
// ============================================================================

#ifndef READLEVEL_H
#define READLEVEL_H

#include <string>

/*---- readLevel -----------------------------------------------------------------*/
int readLevelGAMEBD(std::string   directory, 
                    std::string   gamename, 
                    std::string   filename, 
                    std::string   offsetStr, 
                    int           i_levelNo,
                    int           i_doFileWrite);

/*---- doReadLevelGAMEBD ---------------------------------------------------------------*/
int doReadLevelGAMEBD (std::string filename, std::string offsetStr, 
                       int i_levelNo, int i_doFileWrite);

#endif
