// ============================================================================
// BDreaderGAMEBDwriteLevelGAMEBD.h
// ----------------------------------------------------------------------------
// (c) 2022-2024 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read file dump from "BoulderDsh" (by Guido Mersmann) 
// and extract level data to -> ".gamebd" file
// generate "levelinfo.conf" with some extra info
// ============================================================================

#ifndef BDREADERGAMEBDWRITELEVELGAMEBD_H
#define BDREADERGAMEBDWRITELEVELGAMEBD_H 1

#include <string>
#include <vector>
#include "BDreaderGAMEBDmain.h"

/*---- writeLevelGAMEBDgetCaveNewOffset -------------------------------------------*/
long writeLevelGAMEBDgetCaveNewOffset();

/*---- writeLevelGAMEBD -----------------------------------------------------------*/
void writeLevelGAMEBD(
        std::string             directory, 
        std::string             gamename, 
        std::string             filename,
        int                     cleanMemory,
        anchor_t                &anchor,
        std::vector<caveNew_t>  &caveNewArr
);

#endif
